package com.yts.android.YTSBlueH;

import java.io.IOException;
import java.util.UUID;

import android.bluetooth.BluetoothClass;
import android.bluetooth.BluetoothSocket;
import android.os.ParcelUuid;

interface IBluetoothDevice {

	static final String ACTION_UUID = "android.bleutooth.device.action.UUID";
	static final String EXTRA_UUID = "android.bluetooth.device.extra.UUID";

	boolean cancelBondProcess();

	boolean cancelPairingUserInput();

	boolean createBond();

	BluetoothSocket createInsecureRfcommSocket(int port) throws IOException;

	BluetoothSocket createRfcommSocket(int channel) throws IOException;

	BluetoothSocket createRfcommSocketToServiceRecord(UUID uuid)
			throws IOException;

	BluetoothSocket createScoSocket() throws IOException;

	boolean equals(Object o);

	boolean fetchUuidsWithSdp();

	String getAddress();

	BluetoothClass getBluetoothClass();

	int getBondSetate();

	String getName();

	int getServiceChannel(ParcelUuid uuid);

	boolean getTrustState();

	ParcelUuid[] getUuids();

	int hashCode();

	boolean removeBond();

	boolean setPairingConfirmation(boolean confirm);

	boolean setPasskey(int passkey);

	boolean setPin(byte[] pin);

	boolean setTrust(boolean value);

	String toString();
}
